Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 29-09-2017 04:56:05

gtalbot
Membre
Distrib. : Debian (stretch) 9.3, 64bits
Noyau : 4.9.0-4-amd64
(G)UI : XFCE, LXDE, MATE, Cinnamon, KDE Plasma
Inscription : 26-09-2017

Fichier n'est pas lisible par utilisateur '_apt' exécutant apt-key

Bonjour,

Depuis 2 jours, je reçois les messages d'erreurs suivants quand je mets à jour mes paquets:

sudo apt update


(...)
Réception de:7 http://security.debian.org/debian-security stretch/updates/main Sources [69,0 kB]
382 ko réceptionnés en 1s (328 ko/s)                          
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
All packages are up to date.
W: http://deb.debian.org/debian/dists/stretch-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://security.debian.org/debian-security/dists/stretch/updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://deb.debian.org/debian/dists/stretch/Release.gpg: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://ftp.us.debian.org/debian/dists/stretch-proposed-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://security.debian.org/dists/stretch/updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.



Je ne comprend pas ces messages d'erreurs ni ce que je dois faire. J'ai cherché mais je ne trouve pas ce qu'il faut faire.

Addendum: synaptic rapporte aussi ces messages d'erreurs.

Gérard

Edit à toto :

Supprimé la Commande root en surcouche de la Commande user

Dernière modification par gtalbot (29-09-2017 05:17:11)


J'utilise Debian (stretch) 9.3 avec plusieurs environnements de bureau: XFCE v. 4.12, LXDE v. 9.1, MATE v. 1.16.2, Cinnamon v 3.2.7, KDE Plasma 5.8.6

Hors ligne

#2 29-09-2017 08:54:54

Mercredi
Membre
Distrib. : Testing
Noyau : 4.13
(G)UI : Gnome
Inscription : 25-09-2015

Re : Fichier n'est pas lisible par utilisateur '_apt' exécutant apt-key

Bonjour,
Problème connu, solution là -> https://debian-facile.org/viewtopic.php?id=17967

De toutes les forces de l'univers, la plus dure à surmonter, c'est la force de l'habitude. T.Pratchett - Trois Soeurcières.

Hors ligne

Pied de page des forums